#!/bin/sh

Upload_fw_Success()
{
  echo "Upload fw success"
  model=`cat /usr/local/modules/files/model`
  case ${model} in
      #one bay
      WDMyCloud)
        #Glacier
        echo "WDMyCloud"
        ;;
        
      #two bay
      WDMyCloudEX2)
        #KC/Zion
        echo "WDMyCloudEX2"
        ;;
        
      WDMyCloudDL2100)
        #Aurora
        echo "WDMyCloudDL2100"
	mtd_check -u
        ;;

      WDMyCloudEX2100)
        #Yosemite
        echo "WDMyCloudEX2100"
        ;;
      
      #four bay
      WDMyCloudEX4)
        #LT4A
        echo "WDMyCloudEX4"
        ;;
        
      WDMyCloudEX4100)
        #Yellowstone
        echo "WDMyCloudEX4100"
        ;;

      WDMyCloudDL4100)
        #Sprite
        echo "WDMyCloudDL4100"
	mtd_check -u
        ;;
  esac

  ######################
  #       common       #
  ######################

}

Upload_fw_Fail()
{
  echo "Upload fw fail recover pr-install"
  model=`cat /usr/local/modules/files/model`
  case ${model} in
      #one bay
      WDMyCloud)
        #Glacier
        echo "WDMyCloud"
        ;;
        
      #two bay
      WDMyCloudEX2)
        #KC/Zion
        echo "WDMyCloudEX2"
        ;;
        
      WDMyCloudDL2100)
        #Aurora
        echo "WDMyCloudDL2100"
        ;;

      WDMyCloudEX2100)
        #Yosemite
        echo "WDMyCloudEX2100"
        ;;
      
      #four bay
      WDMyCloudEX4)
        #LT4A
        echo "WDMyCloudEX4"
        ;;
        
      WDMyCloudEX4100)
        #Yellowstone
        echo "WDMyCloudEX4100"
        ;;

      WDMyCloudDL4100)
        #Sprite
        echo "WDMyCloudDL4100"
        ;;
  esac

  ######################
  #       common       #
  ######################
  xmldbc -l /tmp/recover/config.xml
  xmldbc -D /etc/NAS_CFG/config.xml
  access_mtd "cp -f /etc/NAS_CFG/config.xml /usr/local/config/config.xml"
}

if [ "$1" = "0" ]; then
  Upload_fw_Success
elif [ "$1" = "1" ]; then
  Upload_fw_Fail
fi

      
